function init(hero) {
    hero.setName("Captain America (Falcon)");
    hero.setAliases("cap_sam", "cap_falcon");
    hero.setVersion("\u00A7c\u00A7lMCU\u00A7r");
    hero.setTier(5);
    
    hero.setHelmet("Goggles");
    hero.setChestplate("Emblem");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.setPrimaryEquipment("fiskheroes:captain_americas_shield");
    
    hero.addPowers("fiskheroes:wakandan_flightpack", "fiskheroes:shield_throwing");
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.4, 1);
    
    hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);
    
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD";
}
